Bug 13935 - Improper relocation of segments from ld-script
Improper relocation of segments from ld-script
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: modutils (Show other bugs)
5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-14 09:33 EDT by Norm Dresner
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-14 09:33:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Norm Dresner 2000-07-14 09:33:02 EDT
I used the gcc-directive __attribute__ to assign an array to a new segment 
and an script with 'ld -r' to specify that this segment is to be located 
(but not loaded) at address 0x000D0000 (on the ISA-bus).  Using objdump I 
verified that the headers and compiled code in both the individual module 
and the "link" were correct in referencing a segment at the address I 
spercified.  When insmod loads this module it does not relocate this 
segment but simply assigns it to the next sequential address.  To verify 
that the compilation and linker-script were correct I created a module of 
stubs to satisfy the external references to kernel-globals and linked it 
without the '-r' option.  Examination of this module shows that references 
to the array were correct.  The exact version of modutils is 2.1.85-9
Comment 1 Bill Nottingham 2002-07-23 16:22:19 EDT
Apologies for the delay. This sort of issue is probably best handled upstream.

Note You need to log in before you can comment on or make changes to this bug.